//
//  PopoverView.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/5.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class PopoverView: UIView {
    
    var popoverType:PopoverType = .ScanCodeTraceability
    var popoverTypeArray = NSMutableArray()
    var popoverTypeblock:passParameterBlock!
    
    lazy var subImageView: UIImageView = {
        let subImageView = UIImageView.init()
        subImageView.image = UIImage.init(named: "popover_image")
        self.addSubview(subImageView)
        return subImageView
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.subImageView.frame = CGRect(x:128, y: 100, width:115 , height: 45 )
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
 
    
}
